Get Ticket Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id} \
--header 'Authorization: Bearer <token>'{
"ai_review_status": "pending",
"category": "technical",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "portal",
"status": "pending_review",
"subject": "<string>",
"ticket_number": 123,
"updated_at": "2023-11-07T05:31:56Z",
"ai_summary": "<string>",
"attachments": [
{
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size_bytes": 123
}
],
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"comments": [
{
"author_label": "<string>",
"author_type": "customer",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_name": "<string>"
}
],
"is_tracked_by_team": false,
"reported_by": "<string>",
"severity": "low"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Support
Get Ticket Endpoint
GET
/
api
/
v1
/
org
/
support
/
tickets
/
{ticket_id}
Get Ticket Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id} \
--header 'Authorization: Bearer <token>'{
"ai_review_status": "pending",
"category": "technical",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "portal",
"status": "pending_review",
"subject": "<string>",
"ticket_number": 123,
"updated_at": "2023-11-07T05:31:56Z",
"ai_summary": "<string>",
"attachments": [
{
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size_bytes": 123
}
],
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"comments": [
{
"author_label": "<string>",
"author_type": "customer",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_name": "<string>"
}
],
"is_tracked_by_team": false,
"reported_by": "<string>",
"severity": "low"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Available options:
pending, passed, flagged Available options:
technical, account, billing, bug, feature_request, other Available options:
portal, api, cli, agent Available options:
pending_review, open, triaging, in_progress, waiting_customer, resolved, closed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
low, medium, high, critical